DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# DataTypeArrayNew

Array allocation function

## SYNOPSIS

dip_Error dip_DataTypeArrayNew ( array, size, value, resources )

## FUNCTION

This function allocates the `size` elements of a `dip_DataTypeArray` and sets the size of the array to `size`. Each array element is initialized with `value`.

## ARGUMENTS

Data type | Name | Description
`dip_DataTypeArray *` | `array` | Array
`dip_int` | `size` | Size
`dip_DataType` | `value` | Initial value
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

DIPlib's data types

`DataTypeArrayNew`, `DataTypeArrayFree`, `DataTypeArrayCopy`, `DataTypeArrayFind`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`

DIPlib on-line documentation | Function reference | Global function index